﻿using Prism.Mvvm;

using TestLibrary.Business;

namespace TestLibrary.ViewModels
{
    /// <summary>
    /// 사람 뷰 모델
    /// </summary>
    public class PersonViewModel : BindableBase
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        /// 선택 사람
        /// </summary>
        private Person selectedPerson;

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 선택 사람 - SelectedPerson

        /// <summary>
        /// 선택 사람
        /// </summary>
        public Person SelectedPerson
        {
            get
            {
                return this.selectedPerson;
            }
            set
            {
                SetProperty(ref this.selectedPerson, value);
            }
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - PersonViewModel()

        /// <summary>
        /// 생성자
        /// </summary>
        public PersonViewModel()
        {
        }

        #endregion
    }
}